# Daemon configuration

The daemon is configurable by config.txt.
The config file must be in the same directory from where you run the binary.

### Configuration Values
`port`: The port where the server listens. Must be a valid port.<br/>
`userdatabase`: The file where userdata is stored in format: user;password<br/>
`filedirectory`: The file directory where the received files will be store. (Folder must exist!!!)<br/>

#### Covert Channel options
`covertChannelMode`: Sets the covert channel mode. To deactiveate don't set it or set it to none or false.<br/>
`innerInterface`: The interface of your inner network<br/>
`outerInterface`: The interface of your outer network<br/>

##### Covert Channel Mode `forward`
There no further config needed. Forward should work out of the pox

##### Covert Channel Mode `proxy`
`ownIP`: IP of this server<br/>
`partnerIP`: IP of the partner server. If this is a relay the other cannot be a relay.<br/>
`targetIP`: IP of the target server of teh covert channel<br/>
`targetPort`: Port of the target server of the covert channel<br/>
`relay`: Bool which sets the mode: true - just relays the covert channel | false - uses it's own covert channel<br/>

### Example for config.txt
```
port=1234
userdatabase=userStorage.txt
filedirectory=./files/
activateCovertChannel=true
innerInterface=eth0
outerInterface=eth1
filter=host 8.8.8.8 and port 443
```
